Subject: [Sigtran] SUA v15 - Confusion about Reg Req

From: [email-masked]
Date: Tue, 15 Jul 2003 10:41:00 +0530

At page 100 of SUA v15  says
   " An ASP MAY modify an existing Routing Key by including a Routing
    Context parameter in the REG REQ.  If the SGP determines that the
    Routing Context applies to an existing Routing Key, the SG MAY adjust
    the existing Routing Key to match the new information provided in the
    Routing Key parameter.  A Registration Response "Routing Key Change
    Refused" is returned if the SGP does not accept the modification of
    the Routing Key. "

 but in the section  3.8.1 on pages 51 - 52 the REG REQ message do not have
 RC Parameter.
 And the above mentioned Error Code "Routing Key Change Refused" exits in
 the parameter Registration Status (section 3.9.22  page 65)

 Which one is right ?

 Regards
 Yogesh

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 15 Jul 2003 00:59:50 -0600

ygahlaut,

The RC parameter was missed from the REG REQ.  We will include it in the final.
The RC parameter will be included in the Routing Key (because an RC parameter
is specific to each RK in the REG REQ) as an optional parameter.  In addition
Network Appearance will not be required when RC is present in the Routing Key
(see Section 3.10.14.)

Changes as follows:

-----------
Old text
-----------

3.10.14 Routing Key 
 
      0                   1                   2                   3 
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
     |         Tag = 0x010E          |             Length            | 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
     |         Tag = 0x0018          |        Length = 8             |  
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
     |                  Local Routing Key Identifier                 |  
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+    
     \                         Key parameter(s)                      \ 
     /                                                               / 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
    
   Local Routing Key Identifier field: 32-bits (unsigned integer) 
      
        Key field: variable 
    
   The Key field contains the following parameters: 
    
        Parameter 
           Traffic Mode Type          Optional 
           Network Appearance         Optional *1 
           Source Address             Optional 
           Destination Address        Optional 
           Address Range              Optional 
    
   Note 1: The Network Appearance parameter must be included in the 
           Routing Key when the ASP is able to register in                                                                     
           multiple SS7 Network contexts. 
    
-----------
New text
-----------

3.10.14 Routing Key 
 
      0                   1                   2                   3 
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
     |         Tag = 0x010E          |             Length            | 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
     |         Tag = 0x0018          |        Length = 8             |  
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
     |                  Local Routing Key Identifier                 |  
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+    
     \                         Key parameter(s)                      \ 
     /                                                               / 
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
    
   Local Routing Key Identifier field: 32-bits (unsigned integer) 
      
        Key field: variable 
    
   The Key field contains the following parameters: 
    
        Parameter 
>          Routing Context            Optional *2
           Traffic Mode Type          Optional 
           Network Appearance         Optional *1 
           Source Address             Optional 
           Destination Address        Optional 
           Address Range              Optional 
    
   Note 1: The Network Appearance parameter must be included in the 
           Routing Key when the ASP is able to register in                                                                     
>          multiple SS7 Network contexts and the Routing Context
>          parameter is not included.
>
>  Note 2: The Routing Context parameter is included in the Routing
>          Key when the ASP wishes to modify an existing Routing Key
>          that has already been registered with the given Routing
>          Context.  When the Routing Context parameter is included
>          in the Routing Key, it SHOULD be the first parameter in
>          the Routing Key.

How's that?

--brian

[email-masked] wrote:                                                       (Tue, 15 Jul 2003 10:41:00)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/